## org.hibernate.action.spi
Interface BeforeTransactionCompletionProcess

All Known Implementing Classes:
  AuditProcess, EntityIncrementVersionProcess, EntityVerifyVersionProcess

    public interface BeforeTransactionCompletionProcess

Contract representing some process that needs to occur during before transaction completion.

Method Summary
`void` `doBeforeTransactionCompletion(SessionImplementor session)` Perform whatever processing is encapsulated here before completion of the transaction.

Method Detail

### doBeforeTransactionCompletion

    void doBeforeTransactionCompletion(SessionImplementor session)

  Perform whatever processing is encapsulated here before completion of the transaction.

  Parameters:
    `session` - The session on which the transaction is preparing to complete.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.